import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetChannelPolicyRequest,
  GetChannelPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetChannelPolicyCommandInput extends GetChannelPolicyRequest {}
export interface GetChannelPolicyCommandOutput
  extends GetChannelPolicyResponse,
    __MetadataBearer {}
export declare class GetChannelPolicyCommand extends $Command<
  GetChannelPolicyCommandInput,
  GetChannelPolicyCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: GetChannelPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetChannelPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetChannelPolicyCommandInput, GetChannelPolicyCommandOutput>;
  private serialize;
  private deserialize;
}
