import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  PutChannelPolicyRequest,
  PutChannelPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutChannelPolicyCommandInput extends PutChannelPolicyRequest {}
export interface PutChannelPolicyCommandOutput
  extends PutChannelPolicyResponse,
    __MetadataBearer {}
export declare class PutChannelPolicyCommand extends $Command<
  PutChannelPolicyCommandInput,
  PutChannelPolicyCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: PutChannelPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutChannelPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<PutChannelPolicyCommandInput, PutChannelPolicyCommandOutput>;
  private serialize;
  private deserialize;
}
