import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  PutOriginEndpointPolicyRequest,
  PutOriginEndpointPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutOriginEndpointPolicyCommandInput
  extends PutOriginEndpointPolicyRequest {}
export interface PutOriginEndpointPolicyCommandOutput
  extends PutOriginEndpointPolicyResponse,
    __MetadataBearer {}
export declare class PutOriginEndpointPolicyCommand extends $Command<
  PutOriginEndpointPolicyCommandInput,
  PutOriginEndpointPolicyCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: PutOriginEndpointPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutOriginEndpointPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutOriginEndpointPolicyCommandInput,
    PutOriginEndpointPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
